
module.exports = {

    /**
     * 首字母大写
     * @param {*} str 
     */
    firstUpperCase(str) {
        return str.replace(/( |^)[a-z]/g, (L) => L.toUpperCase());
    },

    /**
     * 首字母小写
     * @param {*} str 
     */
    firstLowerCase(str) {
        return str.replace(/( |^)[A-Z]/g, (L) => L.toLowerCase());
    },

    /**
     * 字符串转全部小写字母
     */
    toLowerCase(str) {
        return str.toLowerCase()
    },

    /**
     * 字符串全部大写字母
     */
    toUpperCase(str) {
        return str.toUpperCase()
    },

    /**
     * 字符串替换
     * @param {*} string 
     * @param {*} replace 
     * @param {*} replacement 
     */
    replace(string, replace, replacement) {
        var regex = new RegExp(replace, 'g')
        return string.replace(regex, replacement)
    }   
}
